image: samueldebruyn/debian-git

pipelines:
  branches:
    master:
      - step:
          script:
            - echo "Pipeline Init"
            - apt-get update
            - apt-get -qq install git-ftp
            - echo "'_$(git status -uno --porcelain | wc -l)_'"
            - git status -uno --porcelain
            - echo "Initiating Push site:Source."
            #git config git-ftp.syncroot www
            - git ftp push --user $P01_FTP_USERNAME --passwd $P01_FTP_PASSWORD ftp://95.168.198.56/
    T01-System:
      - step:
          script:
            - echo "Pipeline Init"
            - apt-get update
            - apt-get -qq install git-ftp
            - echo "'_$(git status -uno --porcelain | wc -l)_'"
            - git status -uno --porcelain
            - echo "Initiating Push site:Source."
           #git config git-ftp.syncroot www
            - git ftp push --user $FTP_USERNAME --passwd $FTP_PASSWORD ftp://95.168.198.56/www/